#include "Deer/Application.h"

#ifdef DEER_RENDER
#include "DeerRender/Events/ApplicationEvent.h"
#include "DeerRender/Events/Event.h"
#include "DeerRender/Window.h"
#endif

namespace Deer {
    namespace Application {
		using EventFunction = void(*)(Event&);

		void initWindow();
		void shutdownWindow();

		void setRenderCallback(Function);
		void setEventCallback(EventFunction);

		Window& getWindow();
    }
}